"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = exports.run = void 0;
const ButtonInteraction_1 = __importDefault(require("../../../structures/ButtonInteraction"));
const run = async (client, interaction) => {
    if (interaction instanceof ButtonInteraction_1.default) {
        const memberID = interaction.data.custom_id.slice(exports.config.custom_id.length);
        const member = await interaction.guild?.members.fetch(memberID);
        await member?.kick();
        interaction.send("Kicked the member!");
    }
};
exports.run = run;
exports.config = {
    custom_id: "kick_",
    atStart: true,
    bot_needed: true,
    user_perms: ["KICK_MEMBERS"],
};
